/*!
 * \file dxf.h
 *
 * \author Copyright (C) 2012, 2013, 2014, 2015, 2016, 2017
 * by Bert Timmerman <bert.timmerman@xs4all.nl>.
 *
 * \brief List of all libDXF header files for convenient inclusion.
 *
 * <hr>
 * <h1><b>Copyright Notices.</b></h1>\n
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.\n\n
 * This program is distributed in the hope that it will be useful, but
 * <b>WITHOUT ANY WARRANTY</b>; without even the implied warranty of
 * <b>MERCHANTABILITY</b> or <b>FITNESS FOR A PARTICULAR PURPOSE</b>.\n
 * See the GNU General Public License for more details.\n\n
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to:\n
 * Free Software Foundation, Inc.,\n
 * 59 Temple Place,\n
 * Suite 330,\n
 * Boston,\n
 * MA 02111 USA.\n
 * \n
 * Drawing eXchange Format (DXF) is a defacto industry standard for the
 * exchange of drawing files between various Computer Aided Drafting
 * programs.\n
 * DXF is an industry standard designed by Autodesk(TM).\n
 * For more details see http://www.autodesk.com.
 * <hr>
 */


#ifndef LIBDXF_SRC_DXF_H
#define LIBDXF_SRC_DXF_H


#include "3dface.h"
#include "3dline.h"
#include "3dsolid.h"
#include "acad_proxy_entity.h"
#include "appid.h"
#include "arc.h"
#include "attdef.h"
#include "attrib.h"
#include "binary_entity_data.h"
#include "binary_graphics_data.h"
#include "block.h"
#include "block_record.h"
#include "body.h"
#include "circle.h"
#include "class.h"
#include "color.h"
#include "comment.h"
#include "dictionary.h"
#include "dictionaryvar.h"
#include "dimension.h"
#include "dimstyle.h"
#include "donut.h"
#include "ellipse.h"
#include "endblk.h"
#include "endsec.h"
#include "endtab.h"
#include "entities.h"
#include "entity.h"
#include "file.h"
#include "global.h"
#include "group.h"
#include "hatch.h"
#include "header.h"
#include "helix.h"
#include "idbuffer.h"
#include "image.h"
#include "imagedef.h"
#include "imagedef_reactor.h"
#include "insert.h"
#include "layer.h"
#include "layer_index.h"
#include "leader.h"
#include "line.h"
#include "ltype.h"
#include "lwpolyline.h"
#include "mline.h"
#include "mlinestyle.h"
#include "mtext.h"
#include "object.h"
#include "object_ptr.h"
#include "oleframe.h"
#include "ole2frame.h"
#include "param.h"
#include "point.h"
#include "polyline.h"
#include "rastervariables.h"
#include "ray.h"
#include "region.h"
#include "section.h"
#include "seqend.h"
#include "shape.h"
#include "solid.h"
#include "sortentstable.h"
#include "spatial_filter.h"
#include "spatial_index.h"
#include "style.h"
#include "table.h"
#include "tables.h"
#include "text.h"
#include "thumbnail.h"
#include "tolerance.h"
#include "trace.h"
#include "ucs.h"
#include "util.h"
#include "vertex.h"
#include "view.h"
#include "viewport.h"
#include "vport.h"
#include "xline.h"
#include "xrecord.h"


#endif /* LIBDXF_SRC_DXF_H */


/* EOF */
